Skip to content

getInvoiceSettlements

READ

Get invoice settlements.

POST /api/v1/invoicing/getInvoiceSettlements
curl -X POST '<your-host>/api/v1/invoicing/getInvoiceSettlements' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "paymentId": "string"
  }'
Response
{
  "results": [
    {
      "appliedAmount": 0,
      "appliedDate": "string",
      "appliedViaPaymentId": "string",
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "discountAmount": 0,
      "fxGainLossAmount": 0,
      "id": "string",
      "memoId": "string",
      "paymentId": "string",
      "sourceAmount": 0,
      "sourceExchangeRate": 0,
      "sourcePaymentId": "string",
      "targetExchangeRate": 0,
      "targetMemoId": "string",
      "targetPurchaseInvoiceId": "string",
      "targetSalesInvoiceId": "string",
      "updatedBy": "string",
      "writeOffAmount": 0,
      "salesInvoice": {
        "invoiceId": "string"
      },
      "purchaseInvoice": {
        "invoiceId": "string"
      },
      "targetMemo": {
        "memoId": "string"
      }
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "paymentId": {
      "type": "string"
    }
  },
  "required": [
    "paymentId"
  ]
}